Subject: RE: SSL_CLIENT_CERT in the access check phase

From: Himanshu Soni <[email-masked]>
Date: Thu, 28 Mar 2002 10:07:55 -0800

Hi All

A better way to accomplish this is to use the apache hook mechanism.
mod_ssl registers ssl_var_lookup in the apache hook pool and you can call
this hook.
Here is how:
	char *pszCert = NULL;
	if (ap_hook_status("ap::mod_ssl::var_lookup") ==
AP_HOOK_STATE_REGISTERED)
	{
		if (r && r->pool && r->server && r->connection) 
		{
			ap_hook_call("ap::mod_ssl::var_lookup",
					&pszCert,
					r->pool,
					r->server,
					r->connection,
					r,
					"SSL_CLIENT_CERT");
		}
	}

Thanx

Himanshu Soni

-----Original Message-----
From: Mads Toftum [mailto:[email-masked]]
Sent: Tuesday, March 26, 2002 11:41 AM
To: [email-masked]
Subject: Re: SSL_CLIENT_CERT in the access check phase

On Tue, Mar 26, 2002 at 10:46:42AM -0800, Himanshu Soni wrote:
> Hi
> 
> Thanx for the info.
> I see that you call ssl_var_lookup(..) which internally calls ap_table_get
> on the SSL_CLIENT_CERT_DN enviornment variable.
> When I compile my module with ssl_var_lookup(..), it fails during linking.
> This is because ssl_var_lookup(..) is not exported.
> 
> How did you manage to resolve this symbol in your builds?
> 
I don't remember doing anything special - except what you see in the module/
makefile. IIRC I just looked at the code in mod_ssl and found the
appropriate
function by looking at what was being used elsewhere.
The module is close to two years old and I haven't used it much lately, so
YMMV.

vh

Mads Toftum
-- 
With a rubber duck, one's never alone.
              -- "The Hitchhiker's Guide to the Galaxy"
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]